OrcProto.RowIndexEntry.Builder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Class OrcProto.RowIndexEntry.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<OrcProto.RowIndexEntry.Builder>
      - - org.apache.orc.OrcProto.RowIndexEntry.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, OrcProto.RowIndexEntryOrBuilder
  Enclosing class:
    OrcProto.RowIndexEntry

      public static final class OrcProto.RowIndexEntry.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<OrcProto.RowIndexEntry.Builder>
      implements OrcProto.RowIndexEntryOrBuilder

  Protobuf type `orc.proto.RowIndexEntry`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.RowIndexEntry.Builder` | `addAllPositions(Iterable<? extends Long> values)` `repeated uint64 positions = 1 [packed = true];`
    `OrcProto.RowIndexEntry.Builder` | `addPositions(long value)` `repeated uint64 positions = 1 [packed = true];`
    `OrcProto.RowIndexEntry` | `build()`
    `OrcProto.RowIndexEntry` | `buildPartial()`
    `OrcProto.RowIndexEntry.Builder` | `clear()`
    `OrcProto.RowIndexEntry.Builder` | `clearPositions()` `repeated uint64 positions = 1 [packed = true];`
    `OrcProto.RowIndexEntry.Builder` | `clearStatistics()` `optional .orc.proto.ColumnStatistics statistics = 2;`
    `OrcProto.RowIndexEntry.Builder` | `clone()`
    `OrcProto.RowIndexEntry` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `long` | `getPositions(int index)` `repeated uint64 positions = 1 [packed = true];`
    `int` | `getPositionsCount()` `repeated uint64 positions = 1 [packed = true];`
    `List<Long>` | `getPositionsList()` `repeated uint64 positions = 1 [packed = true];`
    `OrcProto.ColumnStatistics` | `getStatistics()` `optional .orc.proto.ColumnStatistics statistics = 2;`
    `OrcProto.ColumnStatistics.Builder` | `getStatisticsBuilder()` `optional .orc.proto.ColumnStatistics statistics = 2;`
    `OrcProto.ColumnStatisticsOrBuilder` | `getStatisticsOrBuilder()` `optional .orc.proto.ColumnStatistics statistics = 2;`
    `boolean` | `hasStatistics()` `optional .orc.proto.ColumnStatistics statistics = 2;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `OrcProto.RowIndexEntry.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `OrcProto.RowIndexEntry.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `OrcProto.RowIndexEntry.Builder` | `mergeFrom(OrcProto.RowIndexEntry other)`
    `OrcProto.RowIndexEntry.Builder` | `mergeStatistics(OrcProto.ColumnStatistics value)` `optional .orc.proto.ColumnStatistics statistics = 2;`
    `OrcProto.RowIndexEntry.Builder` | `setPositions(int index, long value)` `repeated uint64 positions = 1 [packed = true];`
    `OrcProto.RowIndexEntry.Builder` | `setStatistics(OrcProto.ColumnStatistics.Builder builderForValue)` `optional .orc.proto.ColumnStatistics statistics = 2;`
    `OrcProto.RowIndexEntry.Builder` | `setStatistics(OrcProto.ColumnStatistics value)` `optional .orc.proto.ColumnStatistics statistics = 2;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.RowIndexEntry.Builder>`

    - #### clear

          public OrcProto.RowIndexEntry.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.RowIndexEntry.Builder>`

    - #### clone

          public OrcProto.RowIndexEntry.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.RowIndexEntry.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.RowIndexEntry.Builder>`

    - #### getDefaultInstanceForType

          public OrcProto.RowIndexEntry getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public OrcProto.RowIndexEntry build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public OrcProto.RowIndexEntry buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public OrcProto.RowIndexEntry.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.RowIndexEntry.Builder>`

    - #### mergeFrom

          public OrcProto.RowIndexEntry.Builder mergeFrom(OrcProto.RowIndexEntry other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.RowIndexEntry.Builder>`

    - #### mergeFrom

          public OrcProto.RowIndexEntry.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.RowIndexEntry.Builder>`
      Throws:
        `IOException`

    - #### getPositionsList

          public List<Long> getPositionsList()

      `repeated uint64 positions = 1 [packed = true];`
      Specified by:
        `getPositionsList` in interface `OrcProto.RowIndexEntryOrBuilder`

    - #### getPositionsCount

          public int getPositionsCount()

      `repeated uint64 positions = 1 [packed = true];`
      Specified by:
        `getPositionsCount` in interface `OrcProto.RowIndexEntryOrBuilder`

    - #### getPositions

          public long getPositions(int index)

      `repeated uint64 positions = 1 [packed = true];`
      Specified by:
        `getPositions` in interface `OrcProto.RowIndexEntryOrBuilder`

    - #### setPositions

          public OrcProto.RowIndexEntry.Builder setPositions(int index,
                                                             long value)

      `repeated uint64 positions = 1 [packed = true];`

    - #### addPositions

          public OrcProto.RowIndexEntry.Builder addPositions(long value)

      `repeated uint64 positions = 1 [packed = true];`

    - #### addAllPositions

          public OrcProto.RowIndexEntry.Builder addAllPositions(Iterable<? extends Long> values)

      `repeated uint64 positions = 1 [packed = true];`

    - #### clearPositions

          public OrcProto.RowIndexEntry.Builder clearPositions()

      `repeated uint64 positions = 1 [packed = true];`

    - #### hasStatistics

          public boolean hasStatistics()

      `optional .orc.proto.ColumnStatistics statistics = 2;`
      Specified by:
        `hasStatistics` in interface `OrcProto.RowIndexEntryOrBuilder`

    - #### getStatistics

          public OrcProto.ColumnStatistics getStatistics()

      `optional .orc.proto.ColumnStatistics statistics = 2;`
      Specified by:
        `getStatistics` in interface `OrcProto.RowIndexEntryOrBuilder`

    - #### setStatistics

          public OrcProto.RowIndexEntry.Builder setStatistics(OrcProto.ColumnStatistics value)

      `optional .orc.proto.ColumnStatistics statistics = 2;`

    - #### setStatistics

          public OrcProto.RowIndexEntry.Builder setStatistics(OrcProto.ColumnStatistics.Builder builderForValue)

      `optional .orc.proto.ColumnStatistics statistics = 2;`

    - #### mergeStatistics

          public OrcProto.RowIndexEntry.Builder mergeStatistics(OrcProto.ColumnStatistics value)

      `optional .orc.proto.ColumnStatistics statistics = 2;`

    - #### clearStatistics

          public OrcProto.RowIndexEntry.Builder clearStatistics()

      `optional .orc.proto.ColumnStatistics statistics = 2;`

    - #### getStatisticsBuilder

          public OrcProto.ColumnStatistics.Builder getStatisticsBuilder()

      `optional .orc.proto.ColumnStatistics statistics = 2;`

    - #### getStatisticsOrBuilder

          public OrcProto.ColumnStatisticsOrBuilder getStatisticsOrBuilder()

      `optional .orc.proto.ColumnStatistics statistics = 2;`
      Specified by:
        `getStatisticsOrBuilder` in interface `OrcProto.RowIndexEntryOrBuilder`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.